import { Component, Input } from '@angular/core';
import { ModalController } from '@ionic/angular';

@Component({
  selector: 'app-video-player',
  templateUrl: 'video-player.page.html',
  styleUrls: ['video-player.page.scss'],
  standalone: false
})
export class VideoPlayerPage {
  @Input() videoUrl!: string;  // 使用非空断言
  @Input() course: any = {};   // 提供默认值

  constructor(private modalCtrl: ModalController) {}

  dismiss() {
    this.modalCtrl.dismiss();
  }
}